Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 511118

Summary: dev-python/conf_d - python lib to read configuration files in conf.d style
Product: Gentoo Linux Reporter: Tomáš Mózes <hydrapolic>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: RESOLVED OBSOLETE    
Severity: enhancement CC: python
Priority: Normal Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/josegonzalez/python-conf_d
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 511116    
Attachments: conf_d-0.0.4.ebuild

Description Tomáš Mózes 2014-05-23 15:22:46 UTC
Created attachment 377524 [details]
conf_d-0.0.4.ebuild

Needed by beaver.
Comment 1 Ian Delaney (RETIRED) gentoo-dev 2014-05-29 08:55:11 UTC
PYTHON_COMPAT=( python{2_6,2_7} )
py2.6 is about to be deprecated. What about py3, the future of cpython?
Does it have a docs folder for a build, a test suite? Perhaps not I've not opened it up as yet.
Comment 2 Tomáš Mózes 2014-05-29 10:18:17 UTC
I see no tests included, however it's possible to build it on python3+.

# diff -u conf_d-0.0.4.ebuild conf_d-0.0.4-r1.ebuild
--- conf_d-0.0.4.ebuild 2014-05-19 16:46:34.103309047 +0200
+++ conf_d-0.0.4-r1.ebuild      2014-05-29 12:16:18.372772923 +0200
@@ -4,7 +4,7 @@

 EAPI=5

-PYTHON_COMPAT=( python{2_6,2_7} )
+PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} )

 inherit distutils-r1

@@ -16,3 +16,10 @@
 SLOT="0"
 KEYWORDS="~amd64"
 IUSE=""
+
+python_prepare() {
+       if [[ ${EPYTHON} == python3* ]]; then
+               2to3 -w -n conf_d/__init__.py || die
+       fi
+
+}